//Recognize Tazok in the last fight

I_C_T2 ~SAREVO~ 15 X#KivanSarevokTazok1
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~Tazok!~
== BGTAZOK IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~Well, well... we meet again. Did you think that I'd die as easily as your girl?~
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~I will cast you into the Hells if I have to follow you!~
END

I_C_T2 ~SAREVO~ 16 X#KivanSarevokTazok2
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~Tazok!~
== BGTAZOK IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~Well, well... we meet again. Did you think that I'd die as easily as your girl?~
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~I will cast you into the Hells if I have to follow you!~
END

I_C_T2 ~SAREVO~ 17 X#KivanSarevokTazok3
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~Tazok!~
== BGTAZOK IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~Well, well... we meet again. Did you think that I'd die as easily as your girl?~
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~I will cast you into the Hells if I have to follow you!~
END

I_C_T2 ~SAREVO~ 18 X#KivanSarevokTazok4
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~Tazok!~
== BGTAZOK IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~Well, well... we meet again. Did you think that I'd die as easily as your girl?~
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~I will cast you into the Hells if I have to follow you!~
END

I_C_T2 ~SAREVO~ 19 X#KivanSarevokTazok5
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~Tazok!~
== BGTAZOK IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~Well, well... we meet again. Did you think that I'd die as easily as your girl?~
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~I will cast you into the Hells if I have to follow you!~
END

I_C_T2 ~SAREVO~ 20 X#KivanSarevokTazok6
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~Tazok!~
== BGTAZOK IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~Well, well... we meet again. Did you think that I'd die as easily as your girl?~
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~I will cast you into the Hells if I have to follow you!~
END

I_C_T2 ~SAREVO~ 21 X#KivanSarevokTazok7
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~Tazok!~
== BGTAZOK IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~Well, well... we meet again. Did you think that I'd die as easily as your girl?~
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#TazokDead","GLOBAL",1)~ THEN ~I will cast you into the Hells if I have to follow you!~
END


REPLACE_STATE_TRIGGER ~BELDIN~ 0 ~Global("X#KivanBeldin","GLOBAL",0)~

APPEND ~BELDIN~
IF ~Global("X#KivanBeldin","GLOBAL",1)~ THEN BEGIN X#BeldinSpeaksAgain
SAY ~Th-thank you, adventurers. I... I have found this gem when mining... was saving it for my lady, but... you gave me my life back, and I have nothing else to pay you for your bravery...~
++ ~Then it is for your lady, my friend. Now go, before more of the 'demons' come.~ DO ~SetGlobal("X#KivanBeldin","GLOBAL",2)~ EXTERN ~KIVANJ~ Beldin1Chain
++ ~But your life is a gift enough for her. Thank you for the gem.~ DO ~SetGlobal("X#KivanBeldin","GLOBAL",3) GiveItemCreate("MISC18",Player1,1,0,0) ActionOverride("beldin", EscapeArea())~ EXIT
++ ~Are you still here, coward? Get out of my sight before I kill you myself. Heh, scared of kobolds!~ DO ~SetGlobal("X#KivanBeldin","GLOBAL",3) ActionOverride("beldin", EscapeArea())~ EXIT
END

END

CHAIN IF ~Global("X#KivanBeldin","GLOBAL",2)~ THEN ~KIVANJ~ Beldin1Chain
~Try to stay to the shadows and ask the guards to escort you to the surface.~
DO ~SetGlobal("X#KivanBeldin","GLOBAL",3)~
== ~BELDIN~ ~I will, Master Elf. I'll tell the guards and Master Emerson himself how brave you are. Hope you'll kill all the monsters down below quickly - a man has to earn his living.~
DO ~ReputationInc(1) ActionOverride("beldin", EscapeArea())~ 
EXIT

I_C_T2 ~DINK~ 1 X#KivanDink
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~No doubt he would, if things are as bad as they made it sound. We would do well, <CHARNAME>, to find the lad as soon as we are able. These guards do not look like the sort that would arm the workers, even against grave danger. I doubt that a common man can defeat the evil creatures that I smell, but a dagger is better than bare hands.~
END

EXTEND_BOTTOM ~BELDIN~ 1
IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("X#KivanBeldin","GLOBAL",0)~ THEN EXTERN ~KIVANJ~ X#KivanBeldin
END

I_C_T ~FTOWN2~ 6 X#KivanJoseph1
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~My condolences good woman. I… I know how much it hurts to lose your beloved. I wish I could offer you more than words.~
== FTOWN2 IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~*Sob*~
END

I_C_T2 ~BARDOL~ 4 X#KivanBardol1
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~<CHARNAME>, I refuse to believe that any man in his right mind would slay his own kin.~
END

I_C_T2 ~BERRUN~ 15 X#KivanBerrun2
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~It is pleasant to know that our labours are well-appreciated, <CHARNAME>.~
END

I_C_T2 ~BERRUN~ 16 X#KivanBerrun3
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~It is pleasant to know that our labours are well-appreciated, <CHARNAME>.~
END

I_C_T2 ~BERRUN~ 17 X#KivanBerrun4
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~It is pleasant to know that our labours are well-appreciated, <CHARNAME>.~
END

I_C_T ~BERRUN~ 19 X#KivanBerrun1
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~I will gladly come to the aid of the townsfolk, <CHARNAME>.~
END

I_C_T ~LIIA~ 8 X#KivanLiia1
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~<CHARNAME>, this man had killed your father. Would you let him get away? Surely, his plans are thwarted, but he lives still.~
END

I_C_T2 ~FARMBR~ 10 X#KivanBrun1
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~<CHARNAME>, not only you have offered much needed help, but offered it in such manner that it did not offend the man's pride to accept it. This was a lesson to us all.~
END

I_C_T2 ~GALLOR~ 6 X#KivanGallor1
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~I will not allow you to do this bandit's bidding! Defend yourself!~
DO ~ActionOverride("kivan",LeaveParty()) ActionOverride("kivan",Enemy())~
END

I_C_T2 ~GALLOR~ 7 X#KivanGallor2
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~I will not allow you to do this bandit's bidding! Defend yourself!~
DO ~ActionOverride("kivan",LeaveParty()) ActionOverride("kivan",Enemy())~
END

I_C_T2 ~GALLOR~ 2 X#KivanGallor3
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~I am afraid that he might succeed in finding help. We should visit with Charleston to ward off the bloodshed.~
END

I_C_T ~ANGELO~ 0 X#KivanAngelo1
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~It is a grave offense to be called a murderer; graver still for it comes from a lowly man.~
END

//I_C_T2 ~ANGELO~ 1 X#KivanAngelo2
//== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Is that what you, humans, call justice? Executing innocent men on the street by an usurper's command?~
//END

I_C_T ~VARCI~ 1 X#KivanVarci1
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~I would follow this boy if only to tell his guardian that it is not fitting to let the child he is bound to protect to beg for help on the streets.~
END

I_C_T2 ~VAIL~ 7 X#KivanVail4
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~I praise you on your descision <CHARNAME>.~
= ~Vail, I will be breaking our people's custom in doing this, but… you are a good man. Before you deafen yourself to the spirit, stop disgracing your community by living in the city of humans and paying lose women for what they call 'love'. Run back, my friend, or you might not find the place where to run one day.~
END

I_C_T2 ~VAIL~ 5 X#KivanVail3
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~You will not stand alone, kinsman.~
DO ~ActionOverride("kivan",LeaveParty()) ActionOverride("kivan",Enemy())~
END

I_C_T ~VAIL~ 4 X#KivanVail2
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~You will dishonour yourself by challenging those who do not wish to fight.~
END

I_C_T ~VAIL~ 3 X#KivanVail1
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~<CHARNAME>, magical trinkets are valuable, but men's respect is ever dearer; it cannot be earned by robbing those you have saved of their prized possession. Think on it.~
END

INTERJECT_COPY_TRANS2 QUINN 1 X#KivanQuinn1
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Too often quests like this one end with finding a corpse. Those are evil times indeed.~
END

I_C_T2 ARDROU 2 X#KivanArdrouine2
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~My friend, it was a noble deed. I wish that more people were as ready as you to lend a helping hand to the smallfolk.~
END

INTERJECT_COPY_TRANS2 ARDROU 0 X#KivanArdrouine1
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~On my honor as a ranger I swear that we will do our best to draw away the worgs, my good woman.~
END

INTERJECT_COPY_TRANS2 DYNAHE 10 X#KivanDynaheir
== KIVANJ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~I will not stand idly, let alone help you to finish off what gnolls have started by torturing this innocent woman! Lady Dynaheir, it is my pleasure to offer you my assistance against these... bandits.~
DO ~ActionOverride("kivan",LeaveParty()) ActionOverride("kivan",Enemy())~
END

I_C_T2 ~SPENGIL~ 2 X#KivSpen
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Firewine Bridge had been built by the Elves, <CHARNAME>. It used to be a trading town until it was destroyed nigh two centuries ago. Two powerful wizards had fought a duel nearby, and they had unleashed so much magical energy, that they had leveled the houses and changed the course of the stream forever. I would dearly like to see what still remains.~
END

I_C_T2 ~MIRIAN~ 2 X#KivMirian3
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Your smile is reward enough. It is important to know that somewhere in this world someone is happy.~
END

I_C_T2 ~MIRIAN~ 1 X#KivMirian2
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Your smile is reward enough. It is important to know that somewhere in this world someone is happy.~
END

I_C_T ~MIRIAN~ 0 X#KivMirian1
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Dear lady, we will do our best. And if I may… if a word from a stranger is of any comfort to you - I hope that your husband is well.~
== ~MIRIAN~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Thank you, my good elf.~
END

I_C_T2 ~BJORNI~ 1 X#KivanBjornin
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~You need not say more, Bjornin. The half-ogres are as good as dead. ~
END

INTERJECT_COPY_TRANS ~NEB~ 8 KivanNeb
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~This vile man cannot be let lose.~
END

INTERJECT_COPY_TRANS ~RAMAZI~ 15  X#KivanRamazi
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~<CHARNAME>! Are you deaf? The mage is going to kill the nymph! Will you stand nearby idly? At least try to talk the wretch out of such an evil deed - or her death will be on our hands.~
END

INTERJECT_COPY_TRANS ~ABELA~ 9 KivanAbela
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~True, you have had an agreement, but this woman's life is worth more than words. Only a blackhearted man can fault you should you break that agreement.  But, perhaps, Ramazith can be presuaded to free you from your word.~
== ~ABELA~  IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~So much ceremony in the cities of men... listen to your heart, elf. Does not it tell you to free me?~
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~It does, but there is still hope that <CHARNAME> comes to <PRO_HISHER> senses before blood is spilt on your behalf.~
== ~ABELA~  IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Blood... *shivers* blood is awful...~
END

INTERJECT_COPY_TRANS ~RAGEFA~ 6 KiRagefast
== ~KIVANJ~ IF ~InParty("Kivan")~ THEN ~One does not lock the woman who is his love and life against her will. Let her go, mage, lest you regret ever loving her.~
END

INTERJECT_COPY_TRANS ~MINEC2~ 8 KiMinersCW
== ~KIVANJ~ IF ~InParty("Kivan") Global("FREESLAV","GLOBAL",0)~ THEN ~No, we did *not*, but we will do so immediately. It is so, <CHARNAME>.~
END

INTERJECT_COPY_TRANS ~SLAVLEAD~ 0 KiRill
== ~KIVANJ~ IF ~InParty("Kivan")~ THEN ~A daring plan, my friend! <CHARNAME>, we MUST free these people.~
END

INTERJECT_COPY_TRANS ~TENYA~ 0 KiTENYA
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~This is despicable! These fishermen sent us to murder a child! <CHARNAME>, I will not stand for this!~
END

INTERJECT_COPY_TRANS ~THALAN~ 0 KivanThalantyr1
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("KivWelcome","GLOBAL",0)~ THEN ~I hoped for a warmer welcome for my company, Thalantyr. You once offered me your roof, or have you forgotten?~
== ~THALAN~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("KivWelcome","GLOBAL",0)~ THEN ~Elf! The name was Kivan, if I am not mistaken. Bah! That's a proper treatment for you if you stand in the corner with your cowl covering your face. But I never thanked you properly... Come, come, I'll show you what I have done with the spear you broke on these bothersome bandits who tried to force their way in. I am quite happy with the way the enchantment had turned out. I do not craft weapons, mind you. Bah! It's a gift. Take it, take it, elf.~
DO ~GiveItemCreate("X#KISPEA","Kivan",1,0,0) SetGlobal("KivWelcome","GLOBAL",1)~
END

INTERJECT_COPY_TRANS ~THALAN~ 1 KivanThalantyr2
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("KivWelcome","GLOBAL",0)~ THEN ~I hoped for a warmer welcome for my company, Thalantyr. You once offered me your roof, or have you forgotten?~
== ~THALAN~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Global("KivWelcome","GLOBAL",0)~ THEN ~Elf! The name was Kivan, if I am not mistaken. Bah! That's a proper treatment for you if you stand in the corner with your cowl covering your face. But I never thanked you properly... Come, come, I'll show you what I have done with the spear you broke on these bothersome bandits who tried to force their way in. I am quite happy with the way the enchantment had turned out. I do not craft weapons, mind you. Bah! It's a gift. Take it, take it, elf.~
DO ~GiveItemCreate("X#KISPEA","Kivan",1,0,0) SetGlobal("KivWelcome","GLOBAL",1)~
END


INTERJECT_COPY_TRANS ~KELDDA~ 0 KivanKeldath
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Fair is your temple and full of hope, priest.~
== ~KELDDA~  IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~And have you forsaken hope, my son?~
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~I have hope but it lies beyond this plane, Keldath Ormlyr~
== ~KELDDA~  IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Gaze upon the sun as it rises, elf. It is born anew every morn - here and everywhere in this world... on this plane. Rejoice, for you are blessed by its rays.~
END

INTERJECT_COPY_TRANS ~DRIZZT~ 6 KivanDrizzt
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Saesa omentien lle, Drizzt Do'Urden. Pleasure meeting you... I heard the talk of you among my kin and I am glad that we met. I am Kivan of Shilmista. I have never expected to find a noble soul in one of your kin. I serve Shevarash, yet I would not blasphemy my faith by shaking hands with you, Drizzt Do’Urden. The true blood of Ilythiry runs strong in you, uncorrupted by Lolth's treachery. Even after 5000 years, the goodness still nests in the darkness.~
== ~DRIZZT~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~I know not how many of my kin are born and remain unspoiled by Lolth teachings. But my father was. It may be that one day we may all come together and walk the surface as friends to all beings of good faith.~
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Then Shevarash’s labors would truly be complete.~
== ~DRIZZT~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Shevarash has a grimmer perspective. The thousands years of hatred that divide our peoples will not be easily forgotten. We must hope, however. With Mielikki's blessing, Kivan.~
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Aa' menealle nauva calen ar' malta, Mori'quessir. May your ways be green and golden, Dark Elf.~
END

INTERJECT_COPY_TRANS ~FLAM4~ 9 KivanSamuel
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~A desertion is an act of cowardice, but I cannot help but pity him. And the woman, Lena, has courage enough for two, walking in the woods full of gibberlings, with a wounded man to protect. Let us conceal the man, <CHARNAME>, for her sake, even if he deserves naught but our scorn.~
END

INTERJECT_COPY_TRANS ~VAI~ 0 KivanVai
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~If you still need a hand with destroying bandits in the area, Jessa Vai, my friend has agreed to help me to find their lair.~
== ~VAI~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Good day to you too, Kivan of Shilmista. I will just... let <CHARNAME> in on some... details. With your permission...~
== ~VAI~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Gender(Player1, MALE)~ THEN ~ It's good to see you have taken the ranger in your company.  He needs the companionship to stay sane. True heart and passionate soul... and such boundless grief. It scares me to see a man burning himself out so quickly. Take care of him, will you? ~
== ~VAI~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) Gender(Player1, FEMALE)~ THEN ~I am glad to see that a sensible woman looks after the elf ranger now. True heart and passionate soul... and such boundless grief. It scares me to see a man burning himself out so quickly. Take care of him, will you? And if you want to chat - ale is on me tonight.~
== ~VAI~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Now, back to business... do you have any questions, <CHARNAME>?~
END

INTERJECT_COPY_TRANS ~GERDE~ 0 KivanGerde
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~I will make sure to count the number of the beasts we slay and that my companions remember the limit.~
== ~GERDE~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~May Sahundakul guide you, friend.~
END

INTERJECT_COPY_TRANS ~BRIELB~ 13 KivanBrielbara
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~In my long years of solitude I often wished for a child, Coran. Think well before refusing the gift this woman has offered to you.~
== ~CORANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Kivan... I am not you and Briel is not Deheriana.~
END

INTERJECT_COPY_TRANS ~CORSON~ 1 KivanCorsone
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Sometimes the gift of death is mercy, I know this all too well.  But this man was crazed with grief, he was not gone beyond recall.  Armed with this knowledge, Corsone did nothing to prevent the death of one he claims was a comrade. Instead, he helped us to slay Osmadi...~
= ~I urge you to press on with your questioning, <CHARNAME>. This death is on our hands, and we will never be able to make amends if we do not know the whole truth of the matter.~
END

INTERJECT_COPY_TRANS ~NEXLIT~ 0 KivanNexlit
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Shaman, we but walked through the settlement with our weapons sheathed when your people attacked us. But we will lower our arms if you lower yours.~
== ~NEXLIT~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~It's too late. Too many have died. Ursa will kill you for that!~
END

INTERJECT_COPY_TRANS ~RAMAZI~ 6 KivanRamazi
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~The mage does not seek to release the captive nymph, but only to imprison her again? <CHARNAME>,  we will do good if we free the woodland creature and let her flee these men.~
END

INTERJECT_COPY_TRANS ~LOTHAN~ 1 KivanLothander
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Poisoned? Our adversary is growing desperate if he turned from the honest steel to Talona's accursed brews.~
END

INTERJECT_COPY_TRANS ~MINSC~ 0 X#KivanMinsc1
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~<CHARNAME>, a man can be tortured and killed, but he will keep his honor. A woman who is a captive of brutish savages will be dishonored... I urge you to help find this man’s companion before it’s too late.~
END

INTERJECT_COPY_TRANS ~MINSC~ 1 X#KivanMinsc2
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~<CHARNAME>, a man can be tortured and killed, but he will keep his honor. A woman who is a captive of brutish savages will be dishonored... I urge you to help find this man’s companion before it’s too late.~
END

// Kivan, Archeologists, Where They Find The Statue
INTERJECT_COPY_TRANS CHARLE 0 KAWTFTS
  == KIVANJ  IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Is that how humans seek knowledge? By digging up the burial mounds of their ancestors? I urge caution, my friend, curiosity of this nature oft nests in evil or greedy souls.~
END

INTERJECT_COPY_TRANS ~EDWIN~ 0 KivanEdwin1
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~You want us to fall upon a woman like a score of brigands and kill her? You ask an evil thing, Edwin Odesseiron, and have no proof of the woman’s taint or tresspass against you. <CHARNAME>, we’ll do well to warn Dynaheir of this man’s plotting.~
END

INTERJECT_COPY_TRANS ~EDWIN~ 1 KivanEdwin2
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~You want us to fall upon a woman like a score of brigands and kill her? You ask an evil thing, Edwin Odesseiron, and have no proof of the woman’s taint or tresspass against you. <CHARNAME>, we’ll do well to warn Dynaheir of this man’s plotting.~
END

INTERJECT_COPY_TRANS ~MULAHE~ 6 KivanMulahey
 == ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Utinu en lokirim! Son of snakes!~
== ~MULAHE~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~There are too many elves in this mine! Kill him!~
END

INTERJECT_COPY_TRANS ~MUTAMI~ 0 KivanMutamin
 == ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~I saw a true artist near Nashkel mines. Prism poured his soul into a carving of rare beauty - and he gave all of himself to bring the stone to life. You, on the contrary, take others’ lives, madman, and you have created naught but a garden of fear... they are not statues, Mutamin, they are... dead stone.~
END

INTERJECT ~TEVEN~ 0 KivanTeven
 == ~KIVANJ~ IF ~InParty("Kivan") !Dead("tazok")~ THEN ~If I have it my way you will not be speaking at all before the day is out.~
== ~TEVEN~ IF ~InParty("Kivan") !Dead("tazok")~ THEN ~Wait'a minute! Lower ya hood, ya scum! Boys, here's Tazok's old friend - that's the one who offed Red Gren! We bring his head to Tazok - we're rich!~
END
IF ~~ THEN DO ~Enemy() Shout(1) ~ SOLVED_JOURNAL ~I have encountered a portion of the bandits that currently plague the coast. Their leader, Teven recognized my companion, Kivan... and I fear it ended in conflict, and I shall have to find another method to locate their base.~
EXIT

INTERJECT_COPY_TRANS ~RAIKEN~ 0 KivanRaiken
 == ~KIVANJ~ IF ~InParty("Kivan") !Dead("tazok")~ THEN ~I will not put down my sword, <CHARNAME>... I would rather sheath it in this man's body. But if you really want to enter the nest of bandits in disguise... I will stay my hand. But do not expect me to keep silent when we meet Tazok.~
END

INTERJECT_COPY_TRANS ~CREDUS~ 9 KivanCredus
 == ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) !Dead("tazok")~ THEN ~Your mistake. It's Tazok who is going to die to<DAYNIGHT>!~
== ~CREDUS~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) !Dead("tazok")~ THEN ~Not anothe' elven spy! Have had enough whinning from that Ender! Anyway, pals, you die!~
END

INTERJECT_COPY_TRANS ~RAEMON~ 0 KivanRaemon
 == ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING) !Dead("tazok")~ THEN ~Where is he?! Tell me where Tazok is and I will let you go!~
END

INTERJECT_COPY_TRANS ~GARKLA~ 0 KivanGarklax
== ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~They are no prisoners, <CHARNAME>. Most likely they are bandits who were too unruly even for Chill!~
END

INTERJECT_COPY_TRANS ~ENDER~ 6 KivanEnder1
 == ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Thank you, kinsman. I... I know what it means to be captured by Tazok and his men. Do you need healing?~
== ~ENDER~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~The worst of it is over, friend. Tazok has forgotten about me for a few days... or prepared somethin' special for my execution and wanted me to be standing for it? Who knows, but in his tent I was safe from his brutes... Mostly.~
== ~KIVanJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~You have been lucky, Ender.~
== ~ENDER~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Are you... are you Kivan by any chance?~
 == ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~You know of me?~
== ~ENDER~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Your name has been mentioned. Beware, friend, there is a mad dog after you. I do not know more, but just be careful. Vanya sulie... Fair winds.~
END

INTERJECT_COPY_TRANS ~ENDER~ 13 KivanEnder2
 == ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Thank you, kinsman. I... I know what it means to be captured by Tazok and his men. Do you need healing?~
== ~ENDER~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~The worst of it is over, friend. Tazok has forgotten about me for a few days... or prepared somethin' special for my execution and wanted me to be standing for it? Who knows, but in his tent I was safe from his brutes... Mostly.~
== ~KIVanJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~You have been lucky, Ender.~
== ~ENDER~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Are you... are you Kivan by any chance?~
 == ~KIVANJ~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~You know of me?~
== ~ENDER~ IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~ THEN ~Your name has been mentioned. Beware, friend, there is a mad dog after you. I do not know more, but just be careful. Vanya sulie... Fair winds.~
END

APPEND ~MONTAJ~

IF ~~ THEN BEGIN MontEnderKicked1
SAY ~Ya goody-goodies be no company for me.~
IF ~~ DO ~SetGlobal("KickedOut","LOCALS",1) LeaveParty() EscapeArea() ActionOverride("Xzar",LeaveParty()) ActionOverride("Xzar",EscapeArea())~
EXIT
END
END

APPEND ~KIVANJ~

//Beldin

IF ~~ X#KivanBeldin
SAY ~Kobolds! Fall back, old man, fall behind us...~
IF ~~ THEN DO ~SetGlobal("X#KivanBeldin","GLOBAL",1) ActionOverride("beldin",JumpToPoint([2180.2739])) CreateCreature("OBOLDAB",[2227.2390],0)
CreateCreature("OBOLDAB",[2227.2390],0)
CreateCreature("OBOLDAB",[2227.2390],0)
CreateCreature("OBOLDAB",[2227.2390],0)~ EXIT
END

//Kivan - montaron killed Ender
IF WEIGHT #-2 ~Global("KivanMontEnder","GLOBAL",1)~ THEN BEGIN KiMoEnder
SAY ~Montaron killed my kinsman without any cause! <CHARNAME>, I only wanted to right the wrongs... but I brought you and your companion here. Now an inocent man lays dead by my feet. From now on, I hunt alone.~
++ ~No, Kivan, do not go! I am appauled at what Montaron did myself and will not have him in my party!~ EXTERN ~MontaJ~ MontEnderKicked1
++ ~Whatever, drama queen.~ + KiMoEnder1
END

IF ~~ KiMoEnder1
SAY ~I cannot sincerely wish you well, <CHARNAME>....~
IF ~~ DO ~SetGlobal("KickedOut","LOCALS",1) LeaveParty() EscapeArea()~   EXIT
END

// Kivan, Prism Dead (sculptor at Nashkel)
IF WEIGHT #-2 ~Global("KPD","GLOBAL",1)~ THEN BEGIN KPD1
SAY ~I bow to you with respect, master artist. You have bonded to a woman you were not destined to know. Your love was a light, bright and pure, which shall shine on many. You gave birth to a thing of beauty, as immortal as the model herself.~
IF ~~ THEN DO ~SetGlobal("KPD","GLOBAL",2)~ EXIT
END

// Kivan, First Entry to Bandit Camp
IF WEIGHT #-2 ~Global("KFEBC","GLOBAL",1)~ THEN BEGIN KFEBC1
SAY ~I need a moment to say a prayer to Shevarash. It seems that my sworn enemy is at the arrow’s reach at last.~
++ ~Go quickly about it, lest we are discovered.~ DO ~SetGlobal("KFEBC","GLOBAL",2)~ + KFEBCP
++ ~Of course, Elf. I will join my voice to yours for the success of our battle against the Brigands.~ DO ~SetGlobal("KFEBC","GLOBAL",2)~ + KFEBCP
++ ~I am sorry Kivan, I’d rather we move swiftly. You can pray all you want after we are done.~ DO ~SetGlobal("KFEBC","GLOBAL",2)~ + KFEBCNP
END

IF ~~ KFEBCP // Prayer
SAY ~My Lord Shevarash, here I stand, on the soil that the beast who slew my beloved, still walks. There is no desire greater in my heart than to wet it with his dark blood. I ask for the firmness of my arm to match the firmness of my soul. I ask for fulfillment of my vow, I ask for the strike that will bring down my foe. I ask thee to give me strength to fight and strength to protect those who fight with me.~
IF ~~ EXIT
END

IF ~~ KFEBCNP // No Prayer
SAY ~I see your need. I shall be silent. Let my arrows sing my prayer for me.~
IF ~~ EXIT
END


// Kivan, First Sighting Of Tazok
IF WEIGHT #-2 ~Global("KivanTazok1","GLOBAL",1)~ THEN BEGIN KivanTazok1
SAY ~Do you remember my Deheriana, beast?~
IF ~~ THEN DO ~SetGlobal("KivanTazok1","GLOBAL",2)~ EXTERN ~BGTAZOK~ KivanTazok2
END

// Kivan, Bandit Camp, After Tazok’s Escape
IF WEIGHT #-2 ~Global("KBCTE","GLOBAL",1)~ THEN BEGIN KBCTE1
SAY ~NO! Stay and fight or I pronounce you a coward...But what have I expected? Tazok is a coward, for any who would torture innocent and defenseless is a coward. This battle is over, but the war is not, Tazok! I will find you!~
IF ~~ THEN DO ~SetGlobal("KBCTE","GLOBAL",2)~ EXIT
END

// Kivan, Before the last Battle with Sarevok
IF WEIGHT #-2 ~Global("KBLBWS","GLOBAL",1)~ THEN BEGIN KBLBWS1
SAY ~Your sworn enemy and half-brother is near, <CHARNAME>. May the gods have mercy on you.~
IF ~~ THEN DO ~SetGlobal("KBLBWS","GLOBAL",2)~ EXIT
END


// Kivan, Entry to Durlag’s Tower
IF WEIGHT #-2 ~Global("KEDT","GLOBAL",1)~ THEN BEGIN KEDT1
SAY ~Strange place you have chosen for us to visit. Is your treasure hunt that important to you that you wish to walk through these halls full of dwarven ghosts? They love the sight of me not, I can feel it.~
IF ~~ THEN DO ~SetGlobal("KEDT","GLOBAL",2)~ EXIT
END

// Kivan, Entry to Baldur’s Gate
IF WEIGHT #-2 ~Global("KEBG","GLOBAL",1)~ THEN BEGIN KEBG1
SAY ~The imagination of humans is rather limited...so many houses and all look like boxes and are painted gray.~
IF ~~ THEN DO ~SetGlobal("KEBG","GLOBAL",2)~ EXIT
END

// Kivan, Xvart Village You Slaughter A Number Of Them (AR4700)
IF WEIGHT #-2 ~Global("KXVYSANOT","GLOBAL",1)~ THEN BEGIN KXVYSANOT1
SAY ~If they are evil beasts, why ought my heart feel regret for destroying their livelihood over and over? They fight for their homes here, <CHARNAME> and we are invading, not defending. We will do well to avoid this pass in the future.~
IF ~~ THEN DO ~SetGlobal("KXVYSANOT","GLOBAL",2)~ EXIT
END

//Kivan Bassilus dead

IF WEIGHT #-2 ~Global("KivanBass","GLOBAL",1)~ THEN BEGIN KivanBassilus
SAY ~Are we so different - this man and I? He cherishes zombies as his family, and I walk the Material Plane with my thoughts ever turning to the one in Arvanaith. How long will it be until my longing creates a ghost of Deheriana? ~
= ~How long it will be until I accompany it and terrify people of sanity? <CHARNAME>, we should find Tazok soon. My time here grows short.~
IF ~~ THEN DO ~SetGlobal("KivanBass","GLOBAL",2)~ EXIT
END

//Kivan Tazok Dead in Bandit Camp
IF WEIGHT #-2 ~Global("KivanTazok3","GLOBAL",1)~ THEN BEGIN KivanTazok3
SAY ~Deheriana... you have been avenged, mela en'coiamin. Shevarash! Thy will has been done!~
= ~<CHARNAME>...  I will stay to help you find the one who killed your father. I pray that we face him soon, for it takes all my strength to remain on this plane...~
IF ~~ THEN DO ~SetGlobal("KivanTazok3","GLOBAL",2)~ EXIT
END

//Kivan 10 Ankhegs
IF WEIGHT #-2 ~Global("KivanAnkheg","GLOBAL",1)~ THEN BEGIN KivanAnkheg2
SAY ~That’s enough, <CHARNAME>. We will endanger the colony if we continue hunting.~
IF ~~ THEN DO ~SetGlobal("KivanAnkheg","GLOBAL",2)~ EXIT
END

END

APPEND ~BGTAZOK~

IF WEIGHT #-1 ~GlobalGT("JoinedBandits","GLOBAL",0)
Global("Chapter","GLOBAL",3)
InParty("Kivan")~ THEN KivTazok
SAY ~Kill them! I am expected at the mines and have no time for this shit!~
IF ~~ THEN DO ~ClearAllActions()
SetGlobal("BeatTazok","GLOBAL",2)
SetGlobal("FoughtTazok","GLOBAL",2)
SetGlobal("JoinedBandits","GLOBAL",0)
SetGlobal("KBCTE","GLOBAL",1)
ActionOverride("banditcr",Enemy())
~ JOURNAL ~Tazok has recognized Kivan and our plan to infiltrate bandit's camp has failed.~ GOTO KivanBan1
END

IF WEIGHT #-1
~Global("BeatTazok","GLOBAL",2) InParty("Kivan")
~ THEN KivanBan1
  SAY ~The elf's head is to go on the pole in front of my tent!~
  IF ~~ THEN DO ~EndCutSceneMode()
ActionOverride("teven",Enemy())
ActionOverride("raiken",Enemy())
SetGlobal("JoinedBandits","GLOBAL",0)
ActionOverride("banditcr",Enemy())
EscapeArea()
SetGlobal("KBCTE","GLOBAL",1)
~ UNSOLVED_JOURNAL ~ Unsurprisingly, my companion Kivan was recognized by Tazok, but he did not get his chance to skew the half-ogre. The bandit was apparently too busy to deal with the revenge-crazy elf. Tazok is travelling to a mine site.  This mine site could be the home base of whoever controls the bandits.~ EXIT
END

IF ~~ THEN KivTazok3
SAY ~Kill them! I am expected at the mines and have no time for this shit!~
IF ~~ THEN DO ~ClearAllActions()
SetGlobal("BeatTazok","GLOBAL",2)
SetGlobal("FoughtTazok","GLOBAL",2)
SetGlobal("JoinedBandits","GLOBAL",0)
ActionOverride("banditcr",Enemy())
~ JOURNAL ~Tazok has recognized Kivan and our plan to infiltrate bandit's camp has failed.~ GOTO KivanBan1
END

END

CHAIN3 ~BGTAZOK~ KivanTazok2
~Now, isn't that our walking dead at last? And with a company of pathetic fools like himself, no less.~
== ~KIVANJ~ ~Leave my friends out of it, this is between you and me.  Today is the day you die, Tazok!~
== ~BGTAZOK~ ~Oh, your screeching voice makes me shiver! You have pestered my soldiers long enough, scum! I am going to put an end to it and I am going to do the job properly.~
END
IF ~~ THEN DO ~ClearAllActions()
SetGlobal("BeatTazok","GLOBAL",2)
SetGlobal("FoughtTazok","GLOBAL",2)
ActionOverride("tazok",Enemy())
ActionOverride("teven",Enemy())
ActionOverride("banditcr",Enemy())
ActionOverride("raiken",Enemy())~ JOURNAL ~Tazok has recognized Kivan. Our only hope to infiltrate bandit's camp now is to kill the fiend. Kivan would like that, I wager.~ EXIT


APPEND BANDIT

IF WEIGHT #-1 ~Global("X#TazokAlarm","GLOBAL",1)
~ THEN BEGIN 7
SAY ~Lo! Tazok was found dead. By Mask he'd have our hides if he'd get lucky again and 'em bosses in the Gate'd order him patched up...~
= ~But who're ya? Ne'ver seen ya before... Bah, I'm in no mood to ask questions. Nobody'd spend pretty penny on raising me up.~
= ~So, sorry, pal, but ya've been just promoted to murderers. HEYOOO! I found Tazok's killers! HEYOOO!~
IF ~~ THEN DO ~SetGlobal("JoinedBandits","GLOBAL",0) SetGlobal("X#TazokAlarm","GLOBAL",2) ActionOverride("bandit",Enemy())~
EXIT
END
END


ADD_STATE_TRIGGER ~BGTAZOK~ 0 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 1 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 2 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 3 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 4 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 5 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 6 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 7 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 8 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 9 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 10 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 11 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 12 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 13 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 14 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 15 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 16 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 17 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 18 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 19 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 20 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 21 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 22 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 23 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 24 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 25 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 26 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 27 ~!InParty("Kivan")~
ADD_STATE_TRIGGER ~BGTAZOK~ 28 ~!InParty("Kivan")~

ADD_TRANS_TRIGGER ~BGTAZOK~ 13 ~!InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~

EXTEND_BOTTOM ~BGTAZOK~ 13
IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)
Global("KivanTazok1","GLOBAL",0)~ THEN DO ~SetGlobal("KivanTazok1","GLOBAL",1) EndCutSceneMode()~ EXTERN KIVANJ KivanTazok1
END

ADD_TRANS_TRIGGER ~BGTAZOK~ 25 ~!InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~

EXTEND_BOTTOM ~BGTAZOK~ 25
IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)
Global("KivanTazok1","GLOBAL",0)~ THEN DO ~SetGlobal("KivanTazok1","GLOBAL",1) EndCutSceneMode()~ EXTERN KIVANJ KivanTazok1
END

ADD_TRANS_TRIGGER ~BGTAZOK~ 27 ~!InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)~

EXTEND_BOTTOM ~BGTAZOK~ 27
IF ~InParty("kivan") !Dead("kivan") !StateCheck("kivan",STATE_SLEEPING)
Global("KivanTazok1","GLOBAL",0)~ THEN DO ~SetGlobal("KivanTazok1","GLOBAL",1) EndCutSceneMode()~ EXTERN KIVANJ KivanTazok1
END
